Bug 10869 - Out of range exception.
Summary: Out of range exception.
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.XML (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-03-04 04:32 UTC by Alistair Leslie-Hughes
Modified: 2018-03-13 11:07 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Log file the installer produced which includes a stack trace (9.02 KB, text/plain)
2013-03-04 04:32 UTC, Alistair Leslie-Hughes
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Alistair Leslie-Hughes 2013-03-04 04:32:08 UTC
Created attachment 3528 [details]
Log file the installer produced which includes a stack trace

Download SQLManagementStudio_x86_ENU.exe from
http://www.microsoft.com/en-us/download/details.aspx?id=7593

When running the above installer under WINE, an out of range exception is thrown.

It's from function Mono.Xml.Schema.XsdKeyTable.SelectorMatches

...
int iter = path.OrderedSteps.Length;
if (path.OrderedSteps [iter-1].IsAttribute)
	iter--;
....
The path.OrderedSteps.Length == 0 in this case.

See the attached file for a stack trace.

Any ideas on what would cause the OrderedSteps not to be filled.
Comment 1 Atsushi Eno 2013-08-07 12:27:18 UTC
That's too big to evaluate. Reasonably sized repro program is wanted.
Comment 2 Marek Safar 2018-03-13 11:07:43 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!